package cz.moneta.test.dsl.ufo.mwf;

import cz.moneta.test.harness.support.mwf.ApiVersion;
import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

@ApiVersion(versionPPE = "472")
public interface MWFJM1 extends MwfRequest<MWFJM1, MWFJM1Response> {

    @Parameter(name = "BANK_SECRET")
    MWFJM1 bankSecret(String bankSecret);
    @Parameter(name = "BUSINESS")
    MWFJM1 business(String business);
    @Parameter(name = "ICO")
    MWFJM1 ico(String ico);
    @Parameter(name = "PURPOSE")
    MWFJM1 purpose(String purpose);
    @Parameter(name = "SRC_SYS_ID")
    MWFJM1 srcSysId(String srcSysId);
}
